拥有0000-未整理-等待研究标签的文章

beeshell:开源的 React Native 组件库 ---- 美团

beeshell 是一个 React Native 应用的基础组件库,基于 0.53.3 版本,提供一整套开箱即用的高质量组件,包含 JavaScript(以下简称 JS)组件和复合组件(包含 Native 代码),涉及前端(FE)、iOS、Android 三端技术,兼顾通用性和定制化,支持自定义主题,用于开发和服务企业级移动应用。现在已经在 GitHub 上开源,地址为:。 ...
阅读全文

beeshell:开源的 React Native 组件库 ---- 美团

beeshell 是一个 React Native 应用的基础组件库,基于 0.53.3 版本,提供一整套开箱即用的高质量组件,包含 JavaScript(以下简称 JS)组件和复合组件(包含 Native 代码),涉及前端(FE)、iOS、Android 三端技术,兼顾通用性和定制化,支持自定义主题,用于开发和服务企业级移动应用。现在已经在 GitHub 上开源,地址为:。 ...
阅读全文

使用Vue开发浏览器插件 - 掘金

前言浏览器插件是前端领域比较小众的应用范畴,我们所说的浏览器插件指的就是`Chrome 插件`。在等。目前笔者接触`Chrome 插件`开发也有一年时间,最初团队中使用`原生js+jquery`的方式开发插件,后来考虑使用Vue重构插件,主要原因在于: 插件的功能日益增多 原生开发效率低下 没有模块,不易维护 团队技术栈偏Vue因此本篇文章旨在分享笔者在`基...
阅读全文

使用Vue开发Chrome插件 - 掘金 - 种子方式 preset 脚手架

原文链接: 前言我当时学习开发Chrome插件的时候,还不会Vue,更别说Webpack了,所以使用的都是原生的html开发,效率就不提了,而这次就准备使用vuecli来进行编写一个13站获取视频信息,评论的功能(原本是打算做自动回复的),顺便巩固下chrome开发(快一年没碰脚本类相关技术了),顺便写套模板供自己后续编写Chrome插件做铺垫。关于Chrome插件开发的基本知识就不...
阅读全文

【干货】Chrome插件(扩展)开发全攻略 - 我是小茗同学 - 博客园

写在前面====我花了将近一个多月的时间断断续续写下这篇博文,并精心写下完整demo,写博客的辛苦大家懂的,所以转载务必保留 ,大家可以直接下载下来运行。另外,本文图片较多,且图片服务器带宽有限,右下角的目录滚动监听必须等到图片全部加载完毕之后才会触发,所以请耐心等待加载完毕。本文目录:demo部分截图:鉴于有很多网友有交流学习Chrome插件的诉求,所以最近建了一个...
阅读全文

vue-cli3 + View UI 开发chrome插件 - 知乎

前言本文介绍一种使用vuecli和View UI(原iview)开发chrome extension的开发模式。参考了这篇文章。这篇文章给出了使用elementui开发的模板,但是,iview比element在组件上多了很多有用的trick。所以这里决定使用iview里的组件来开发一个chrome extension。最近在阅读raft的,但是readme有些过长,每次想回头看看...
阅读全文

在vue中将markdown转换成html并渲染样式_和田进一的博客-CSDN博客_markdown转html vue ---- 好例

我最近是在自己写一个博客系统,然后里面的博客编写使用的是markdown语言。在写博客的时候,使用的是mavoneditor组件,所以主要要解决的是博客在前端展示界面的问题。1.下载依赖```npm install marked```2.在需要使用的页引入```import marked from 'marked'```3.语言转换注:这里blog是转...
阅读全文

如何解决vue项目中 scss 不支持 scoped 的 /deep/ 穿透写法 - =.= - 博客园

如何解决vue项目中 scss 不支持 scoped 的 /deep/ 穿透写法======================================== 用过vue的人估计都用过`scoped`样式属性,但有时候需要穿透样式,啥办? 很多资料都说用`` 或者 `/deep/`; 好,这没有什么问题,笔者之前用`less`的时候,一直用`/deep/`的,一直都没有bug,但最近的项目...
阅读全文

yarn 常用命令 - 简书

1. yarn add yarn add \ 这将安装您的dependencies中的一个或多个包。 用 `dev` 或 `D` 会在 devDependencies 里安装一个或多个包。yarn global add <package...全局安装依赖。 对于绝大部分包来说,这是个坏习惯,因为它们是隐藏的。 最好本地安装你的依赖,这样它们都是明确的,...
阅读全文

Syntax Error: TypeError: this.getOptions is not a function_风如也的博客-CSDN博客

出现问题场景:vue运行项目过程中报错 检查代码中并无写错的地方 其实涉及到这个问题,就是版本原因了,我安装的 `scssloader` 版本太高,卸载安装低版本即可 ```jsnpm uninstall save sassloader // 卸载npm i D sassloader@8.x // 安装npm uninstall save nodesass // 卸载...
阅读全文